list: API endpoint for returning a list of creatures.
retrieve: API endpoint for returning a particular creature.

GET /v2/creatures/?format=api&ordering=-passive_perception&page=68
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "count": 3541,
    "next": "https://api.open5e.com/v2/creatures/?format=api&ordering=-passive_perception&page=69",
    "previous": "https://api.open5e.com/v2/creatures/?format=api&ordering=-passive_perception&page=67",
    "results": [
        {
            "key": "tob2_scrofin",
            "name": "Scrofin",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Fey",
                "key": "fey"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 2.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "lawful neutral",
            "languages": {
                "as_string": "Common, Sylvan",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Sylvan",
                        "key": "sylvan",
                        "desc": "Typical speakers are fey creatures."
                    }
                ]
            },
            "armor_class": 13,
            "armor_detail": "natural armor",
            "hit_points": 68,
            "hit_dice": "8d8+32",
            "experience_points": 450,
            "ability_scores": {
                "strength": 16,
                "dexterity": 13,
                "constitution": 18,
                "intelligence": 9,
                "wisdom": 9,
                "charisma": 10
            },
            "modifiers": {
                "strength": 3,
                "dexterity": 1,
                "constitution": 4,
                "intelligence": -1,
                "wisdom": -1,
                "charisma": 0
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 3,
                "dexterity": 1,
                "constitution": 4,
                "intelligence": -1,
                "wisdom": -1,
                "charisma": 0
            },
            "skill_bonuses": {
                "athletics": 5
            },
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": -1,
                "arcana": -1,
                "athletics": 5,
                "deception": 0,
                "history": -1,
                "insight": -1,
                "intimidation": 0,
                "investigation": -1,
                "medicine": -1,
                "nature": -1,
                "perception": -1,
                "performance": 0,
                "persuasion": 0,
                "religion": -1,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Fist",
                    "desc": "Melee Weapon Attack: +5 to hit, reach 5 ft., one creature. Hit: 6 (1d6 + 3) bludgeoning damage, and the target is grappled (escape DC 13). The scrofin can grapple only one target at a time. If the scrofin scores a critical hit, the target must succeed on a DC 13 Constitution saving throw or become stunned until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Fist attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Gore",
                    "desc": "Melee Weapon Attack: +5 to hit, reach 5 ft., one creature. Hit: 7 (1d8 + 3) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Gore attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D8",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The scrofin makes two attacks: one with its fist and one with its gore or two with its fists.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Quick to Anger",
                    "desc": "If the scrofin is wrestling a foe as part of a challenge and takes damage, or when it is reduced to half its hp maximum, it becomes angry. While angry, the scrofin has advantage on melee attack rolls and on saving throws against spells or effects that would charm or frighten it or make it unconscious, and it has resistance to bludgeoning damage. It remains angry for 1 minute, or until it is knocked unconscious. Alternatively, it can end its anger as a bonus action.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "REACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Expert Wrestler",
                    "desc": "The scrofin can grapple creatures that are two sizes larger than itself and can move at its full speed when dragging a creature it has grappled. If the scrofin grapples a Medium or smaller creature, the target has disadvantage on its escape attempts. In addition, the scrofin has advantage on ability checks and saving throws made to escape a grapple or end the restrained condition."
                },
                {
                    "name": "Relentless (Recharges after a Short or Long Rest)",
                    "desc": "If the scrofin takes 10 damage or less that would reduce it to 0 hp, it is reduced to 1 hp instead."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_snow-terror",
            "name": "Snow Terror",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 8.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Abyssal, Common",
                "data": [
                    {
                        "name": "Abyssal",
                        "key": "abyssal",
                        "desc": "Typical speakers are demons."
                    },
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    }
                ]
            },
            "armor_class": 16,
            "armor_detail": "",
            "hit_points": 127,
            "hit_dice": "15d10+45",
            "experience_points": 3900,
            "ability_scores": {
                "strength": 19,
                "dexterity": 22,
                "constitution": 17,
                "intelligence": 12,
                "wisdom": 9,
                "charisma": 16
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 6,
                "constitution": 3,
                "intelligence": 1,
                "wisdom": -1,
                "charisma": 3
            },
            "initiative_bonus": 6,
            "saving_throws": {
                "constitution": 6
            },
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 6,
                "constitution": 6,
                "intelligence": 1,
                "wisdom": -1,
                "charisma": 3
            },
            "skill_bonuses": {
                "deception": 6,
                "stealth": 9
            },
            "skill_bonuses_all": {
                "acrobatics": 6,
                "animal_handling": -1,
                "arcana": 1,
                "athletics": 4,
                "deception": 6,
                "history": 1,
                "insight": -1,
                "intimidation": 3,
                "investigation": 1,
                "medicine": -1,
                "nature": 1,
                "perception": -1,
                "performance": 3,
                "persuasion": 3,
                "religion": 1,
                "sleight_of_hand": 6,
                "stealth": 9,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "acid, cold, poison",
                "damage_immunities": [
                    {
                        "name": "Acid",
                        "key": "acid"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "fire",
                "damage_vulnerabilities": [
                    {
                        "name": "Fire",
                        "key": "fire"
                    }
                ],
                "condition_immunities_display": "frightened, poisoned",
                "condition_immunities": [
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +7 to hit, reach 5 ft., one creature. Hit: 14 (3d6 + 4) piercing damage plus 14 (4d6) acid damage. If the target is a Medium or smaller creature, it must succeed on a DC 15 Dexterity saving throw or be swallowed by the snow terror. A swallowed creature is blinded and restrained, it has total cover against attacks and other effects outside the snow terror, and it takes 14 (4d6) acid damage at the start of each of the snow terror's turns. The snow terror can have only one creature swallowed at a time.\n\nIf the snow terror takes 15 or more damage on a single turn from the swallowed creature, it must succeed on a DC 16 Constitution saving throw at the end of that turn or regurgitate the swallowed creature, which falls prone in a space within 10 feet of the snow terror. If the snow terror dies, a swallowed creature is no longer restrained by it and can escape from the corpse by using 10 feet of movement, exiting prone.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Acid",
                                "key": "acid"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Horrifying Visage",
                    "desc": "Each non-undead creature within 60 feet of the snow terror that can see it must succeed on a DC 13 Wisdom saving throw or be frightened for 1 minute. A creature can repeat the saving throw at the end of each of its turns, ending the effect on itself on a success. If a creature's saving throw is successful or the effect ends for it, the creature is immune to this snow terror's Horrifying Visage for the next 24 hours.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "False Appearance (Snow Person Form Only)",
                    "desc": "While the snow terror remains motionless, it is indistinguishable from an ordinary snow person."
                },
                {
                    "name": "Shapechanger",
                    "desc": "The snow terror can use its action to polymorph into a Large snow person, a snowy likeness of the creature it most recently killed, or back into its true form. Its statistics are the same in each form. Any equipment it is wearing or carrying isn’t transformed. It reverts to its true form if it dies.\n\nWhile in the form of the creature it most recently killed, creatures that knew the mimicked creature have disadvantage on their Wisdom saving throws against its Horrifying Visage."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_spawn-of-hriggala",
            "name": "Spawn of Hriggala",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Huge",
                "key": "huge"
            },
            "challenge_rating": 10.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet",
                "burrow": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 30,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Common, Darakhul, Void Speech",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Void Speech",
                        "key": "void-speech",
                        "desc": "Void speech is a rename of Deep Speech from Tome of Beasts."
                    }
                ]
            },
            "armor_class": 16,
            "armor_detail": "natural armor",
            "hit_points": 138,
            "hit_dice": "12d12+60",
            "experience_points": 5900,
            "ability_scores": {
                "strength": 25,
                "dexterity": 7,
                "constitution": 21,
                "intelligence": 6,
                "wisdom": 8,
                "charisma": 4
            },
            "modifiers": {
                "strength": 7,
                "dexterity": -2,
                "constitution": 5,
                "intelligence": -2,
                "wisdom": -1,
                "charisma": -3
            },
            "initiative_bonus": -2,
            "saving_throws": {
                "constitution": 9,
                "wisdom": 3
            },
            "saving_throws_all": {
                "strength": 7,
                "dexterity": -2,
                "constitution": 9,
                "intelligence": -2,
                "wisdom": 3,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -2,
                "animal_handling": -1,
                "arcana": -2,
                "athletics": 7,
                "deception": -3,
                "history": -2,
                "insight": -1,
                "intimidation": -3,
                "investigation": -2,
                "medicine": -1,
                "nature": -2,
                "perception": -1,
                "performance": -3,
                "persuasion": -3,
                "religion": -2,
                "sleight_of_hand": -2,
                "stealth": -2,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "necrotic, poison",
                "damage_immunities": [
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "cold, fire, lightning; bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "poisoned",
                "condition_immunities": [
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 30,
            "tremorsense_range": 60,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +11 to hit, reach 5 ft., one target. Hit: 20 (3d8 + 7) piercing damage. If the target is a Large or smaller creature, it is grappled (escape DC 17). Until this grapple ends, the target is restrained, and the spawn can't bite another target.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 11,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D8",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Escape the Material",
                    "desc": "The spawn burrows at least 20 feet through natural rock and opens a portal to the plane of the undead at the end of this movement. The portal remains for 2d4 rounds. The spawn can't have more than one portal open at a time.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The spawn of Hriggala makes two attacks: one with its bite and one with its tendrils.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Tendrils",
                    "desc": "Melee Weapon Attack: +11 to hit, reach 10 ft., one target. Hit: 17 (3d6 + 7) bludgeoning damage plus 14 (4d6) necrotic damage. If the target is a creature, it must succeed on a DC 17 Constitution saving throw or its hp maximum is reduced by an amount equal to the necrotic damage taken. This reduction lasts until the creature finishes a short or long rest. The creature dies if this effect reduces its hp maximum to 0. No physical trace of the creature remains when killed in this way.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tendrils attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 11,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D6",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Magic Resistance",
                    "desc": "The spawn has advantage on saving throws against spells and other magical effects."
                },
                {
                    "name": "Tunneler",
                    "desc": "The spawn can move through solid rock at half its burrow speed and leaves a 10-foot-diameter tunnel in its wake."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_veteran-swordbreaker-skeleton",
            "name": "Veteran Swordbreaker Skeleton",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 3.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "lawful evil",
            "languages": {
                "as_string": "understands all languages it knew in life but can't speak",
                "data": []
            },
            "armor_class": 14,
            "armor_detail": "natural armor",
            "hit_points": 78,
            "hit_dice": "12d8+24",
            "experience_points": 700,
            "ability_scores": {
                "strength": 16,
                "dexterity": 13,
                "constitution": 14,
                "intelligence": 6,
                "wisdom": 8,
                "charisma": 5
            },
            "modifiers": {
                "strength": 3,
                "dexterity": 1,
                "constitution": 2,
                "intelligence": -2,
                "wisdom": -1,
                "charisma": -3
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 3,
                "dexterity": 1,
                "constitution": 2,
                "intelligence": -2,
                "wisdom": -1,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": -1,
                "arcana": -2,
                "athletics": 3,
                "deception": -3,
                "history": -2,
                "insight": -1,
                "intimidation": -3,
                "investigation": -2,
                "medicine": -1,
                "nature": -2,
                "perception": -1,
                "performance": -3,
                "persuasion": -3,
                "religion": -2,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "poison",
                "damage_immunities": [
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "piercing, slashing",
                "damage_resistances": [
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "thunder",
                "damage_vulnerabilities": [
                    {
                        "name": "Thunder",
                        "key": "thunder"
                    }
                ],
                "condition_immunities_display": "exhaustion, petrified, poisoned",
                "condition_immunities": [
                    {
                        "name": "Exhaustion",
                        "key": "exhaustion"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Heavy Crossbow",
                    "desc": "Ranged Weapon Attack: +3 to hit, range 100/400 ft., one target. Hit: 6 (1d10 + 1) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Heavy Crossbow attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 3,
                            "reach": null,
                            "range": 100,
                            "long_range": 400,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D10",
                            "damage_bonus": 1,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Longsword",
                    "desc": "Melee Weapon Attack: +5 to hit, reach 5 ft., one target. Hit: 7 (1d8 + 3) slashing damage, or 8 (1d10 + 3) slashing damage if used with two hands.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Longsword attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D8",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Slashing",
                                "key": "slashing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The veteran swordbreaker skeleton makes two longsword attacks. If it has a shortsword drawn, it can also make a shortsword attack.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Shortsword",
                    "desc": "Melee Weapon Attack: +5 to hit, reach 5 ft., one target. Hit: 6 (1d6 + 3) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Shortsword attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Fossilized Bones",
                    "desc": "Any nonmagical slashing or piercing weapon made of metal or wood that hits the swordbreaker skeleton cracks. After dealing damage, the weapon takes a permanent and cumulative -1 penalty to damage rolls. If its penalty drops to -5, the weapon is destroyed. Nonmagical ammunition made of metal or wood that hits the swordbreaker skeleton is destroyed after dealing damage."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_walled-horror",
            "name": "Walled Horror",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 7.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 0,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 0,
                "crawl": 0,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 0,
                "swim": 0
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "understands all languages it knew in life but can't speak",
                "data": []
            },
            "armor_class": 17,
            "armor_detail": "natural armor",
            "hit_points": 114,
            "hit_dice": "12d8+60",
            "experience_points": 2900,
            "ability_scores": {
                "strength": 18,
                "dexterity": 1,
                "constitution": 20,
                "intelligence": 5,
                "wisdom": 8,
                "charisma": 18
            },
            "modifiers": {
                "strength": 4,
                "dexterity": -5,
                "constitution": 5,
                "intelligence": -3,
                "wisdom": -1,
                "charisma": 4
            },
            "initiative_bonus": -5,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 4,
                "dexterity": -5,
                "constitution": 5,
                "intelligence": -3,
                "wisdom": -1,
                "charisma": 4
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -5,
                "animal_handling": -1,
                "arcana": -3,
                "athletics": 4,
                "deception": 4,
                "history": -3,
                "insight": -1,
                "intimidation": 4,
                "investigation": -3,
                "medicine": -1,
                "nature": -3,
                "perception": -1,
                "performance": 4,
                "persuasion": 4,
                "religion": -3,
                "sleight_of_hand": -5,
                "stealth": -5,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "necrotic, poison, psychic",
                "damage_immunities": [
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    },
                    {
                        "name": "Psychic",
                        "key": "psychic"
                    }
                ],
                "damage_resistances_display": "cold, fire, lightning; bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "blinded, deafened, exhaustion, frightened, grappled, paralyzed, petrified, poisoned, prone, restrained, stunned",
                "condition_immunities": [
                    {
                        "name": "Blinded",
                        "key": "blinded"
                    },
                    {
                        "name": "Deafened",
                        "key": "deafened"
                    },
                    {
                        "name": "Exhaustion",
                        "key": "exhaustion"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    },
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Paralyzed",
                        "key": "paralyzed"
                    },
                    {
                        "name": "Petrified",
                        "key": "petrified"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    },
                    {
                        "name": "Prone",
                        "key": "prone"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    },
                    {
                        "name": "Stunned",
                        "key": "stunned"
                    }
                ]
            },
            "normal_sight_range": null,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": 60,
            "actions": [
                {
                    "name": "Entomb",
                    "desc": "The walled horror makes one spectral claw attack against a Medium or smaller creature it is grappling. If the attack hits, the creature is partially entombed in the wall, and the grapple ends. The entombed target is blinded and restrained, and it takes 9 (2d8) psychic damage at the start of each of the walled horror's turns. A walled horror can have only one creature entombed at a time. \n\nA creature, including the entombed target, can take its action to free the entombed target by succeeding on a DC 15 Strength check.\n\nA creature slain while entombed is pulled fully into the wall and can be restored to life only by means of a true resurrection or a wish spell.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The walled horror makes two spectral claw attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Spectral Claw",
                    "desc": "Melee Weapon Attack: +7 to hit, reach 10 ft., one target. Hit: 11 (2d6 + 4) slashing damage plus 4 (1d8) psychic damage, and the target is grappled (escape DC 15).",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Spectral Claw attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 1,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Psychic",
                                "key": "psychic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Spectral Scream",
                    "desc": "Ranged Spell Attack: +7 to hit, range 60 ft., one creature. Hit: 18 (4d8) psychic damage, and the target must succeed on a DC 15 Charisma saving throw or be frightened until the end of its next turn as it is assaulted by images of being buried alive or entombed. While frightened, the creature's speed is reduced to 0.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Spectral Scream attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 7,
                            "reach": null,
                            "range": 60,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D8",
                            "damage_bonus": null,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Psychic",
                                "key": "psychic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Spirit-infused Structure",
                    "desc": "The walled horror is immobile except for its Wall Hop trait. It uses its Charisma instead of its Dexterity to determine its place in the initiative order."
                },
                {
                    "name": "Wall-bound Spirits",
                    "desc": "The spirits that make up the walled horror are bound to a 10-foot-by-10-foot panel of wall, behind which their original bodies are trapped. The walled horror can move to nearby walls with its Wall Hop trait, but it can never be more than 120 feet away from its bound wall. If its bound wall is damaged while the walled horror is elsewhere, the walled horror takes half the damage dealt to the bound wall. When the walled horror finishes a long rest while inhabiting its bound wall, any damage to the bound wall is repaired."
                },
                {
                    "name": "Wall Hop",
                    "desc": "As a bonus action, the walled horror can disappear into the wall and reappear on a 10-foot-by-10-foot stone wall or panel of wood that it can see within 30 feet of it. Claw marks briefly appear on the surface of the origin and destination walls when it uses this trait."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_young-blue-dragon-zombie",
            "name": "Young Blue Dragon Zombie",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Undead",
                "key": "undead"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 10.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "fly": 70,
                "burrow": 10
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 70,
                "burrow": 10,
                "climb": 15,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "neutral evil",
            "languages": {
                "as_string": "understands the languages it knew in life but can't speak",
                "data": []
            },
            "armor_class": 18,
            "armor_detail": "natural armor",
            "hit_points": 152,
            "hit_dice": "16d10+64",
            "experience_points": 5900,
            "ability_scores": {
                "strength": 21,
                "dexterity": 6,
                "constitution": 19,
                "intelligence": 3,
                "wisdom": 8,
                "charisma": 5
            },
            "modifiers": {
                "strength": 5,
                "dexterity": -2,
                "constitution": 4,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "initiative_bonus": -2,
            "saving_throws": {
                "dexterity": 2,
                "constitution": 8,
                "wisdom": 3,
                "charisma": 1
            },
            "saving_throws_all": {
                "strength": 5,
                "dexterity": 2,
                "constitution": 8,
                "intelligence": -4,
                "wisdom": 3,
                "charisma": 1
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -2,
                "animal_handling": -1,
                "arcana": -4,
                "athletics": 5,
                "deception": -3,
                "history": -4,
                "insight": -1,
                "intimidation": -3,
                "investigation": -4,
                "medicine": -1,
                "nature": -4,
                "perception": -1,
                "performance": -3,
                "persuasion": -3,
                "religion": -4,
                "sleight_of_hand": -2,
                "stealth": -2,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "lightning, poison",
                "damage_immunities": [
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "poisoned",
                "condition_immunities": [
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": 120,
            "blindsight_range": 30,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +9 to hit, reach 10 ft., one target. Hit: 16 (2d10 + 5) piercing damage plus 5 (1d10) necrotic damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D10",
                            "damage_bonus": 5,
                            "damage_type": null,
                            "extra_damage_die_count": 1,
                            "extra_damage_die_type": "D10",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Claw",
                    "desc": "Melee Weapon Attack: +9 to hit, reach 5 ft., one target. Hit: 12 (2d6 + 5) slashing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Claw attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 9,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 5,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Slashing",
                                "key": "slashing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The dragon zombie makes three attacks: one with its bite and two with its claws.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Rotting Breath",
                    "desc": "The dragon zombie exhales rotting breath in a 60-foot line that is 5 feet wide. Each creature in that line must make a DC 16 Dexterity saving throw, taking 55 (10d10) necrotic damage on a failed save, or half as much damage on a successful one. A humanoid reduced to 0 hp by this damage dies, and it rises as a zombie and acts immediately after the dragon zombie in the initiative count. The new zombie is under the control of the creature controlling the dragon zombie.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 5
                    }
                }
            ],
            "traits": [
                {
                    "name": "Undead Fortitude",
                    "desc": "If damage reduces the zombie to 0 hp, it must make a Constitution saving throw with a DC of 5 + the damage taken, unless the damage is radiant or from a critical hit. On a success, the zombie drops to 1 hp instead."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_basilisk",
            "name": "Basilisk",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Monstrosity",
                "key": "monstrosity"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 3.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 10,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "-",
                "data": []
            },
            "armor_class": 15,
            "armor_detail": "natural armor",
            "hit_points": 68,
            "hit_dice": null,
            "experience_points": 700,
            "ability_scores": {
                "strength": 16,
                "dexterity": 8,
                "constitution": 14,
                "intelligence": 2,
                "wisdom": 8,
                "charisma": 6
            },
            "modifiers": {
                "strength": 3,
                "dexterity": -1,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -2
            },
            "initiative_bonus": -1,
            "saving_throws": {
                "strength": 3,
                "dexterity": -1,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -2
            },
            "saving_throws_all": {
                "strength": 3,
                "dexterity": -1,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -1,
                "animal_handling": -1,
                "arcana": -4,
                "athletics": 3,
                "deception": -2,
                "history": -4,
                "insight": -1,
                "intimidation": -2,
                "investigation": -4,
                "medicine": -1,
                "nature": -4,
                "perception": -1,
                "performance": -2,
                "persuasion": -2,
                "religion": -4,
                "sleight_of_hand": -1,
                "stealth": -1,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "poison,petrified,Monstrosity Resilience",
                "damage_resistances": [
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": 60,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "_Melee Weapon Attack:_ +5 to hit, reach 5 ft., one target. _Hit:_ 7 (1d8+3) piercing damage plus 7 (2d6) poison damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D8",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The basilisk makes two Bite or Poison Spit attacks. If both Bite or Poison Spit attacks hit one creature, the target is poisoned until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Poison Spit",
                    "desc": "_Ranged Weapon Attack:_ +5 to hit, range 20/60 ft., one target. _Hit:_ 13 (3d6+3) poison damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Poison Spit attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": null,
                            "range": 20,
                            "long_range": 60,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Monstrosity Resilience",
                    "desc": "The basilisk is resistant to exhaustion and to the frightened condition."
                },
                {
                    "name": "Petrifying Gaze",
                    "desc": "When a creature that can see the basilisk's eyes starts its turn within 30 feet of the basilisk, the basilisk can force it to make a DC 12 CON save if the basilisk isn't incapacitated and can see the creature. On a failure, the creature magically begins to turn to stone and is restrained. The restrained creature must repeat the save at the end of its next turn, becoming petrified on a failure or ending the effect on a success. The petrification lasts until the creature is freed by the greater restoration spell or other magic. Unless surprised, a creature can avert its eyes to avoid the save at the start of its turn. If the creature does so, it can't see the basilisk until the start of its next turn, when it can avert its eyes again. If the creature looks at the basilisk in the meantime, it must immediately make the save. If the basilisk sees itself reflected on a polished surface within 30 feet of it and in an area of bright light, the basilisk mistakes itself for a rival and is affected by its own gaze."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_bloatblossom",
            "name": "Bloatblossom",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Plant",
                "key": "plant"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 2.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 10,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "-",
                "data": []
            },
            "armor_class": 15,
            "armor_detail": "natural armor",
            "hit_points": 60,
            "hit_dice": null,
            "experience_points": 450,
            "ability_scores": {
                "strength": 16,
                "dexterity": 10,
                "constitution": 16,
                "intelligence": 2,
                "wisdom": 8,
                "charisma": 4
            },
            "modifiers": {
                "strength": 3,
                "dexterity": 0,
                "constitution": 3,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "initiative_bonus": 0,
            "saving_throws": {
                "strength": 3,
                "dexterity": 0,
                "constitution": 3,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "saving_throws_all": {
                "strength": 3,
                "dexterity": 0,
                "constitution": 3,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 0,
                "animal_handling": -1,
                "arcana": -4,
                "athletics": 3,
                "deception": -3,
                "history": -4,
                "insight": -1,
                "intimidation": -3,
                "investigation": -4,
                "medicine": -1,
                "nature": -4,
                "perception": -1,
                "performance": -3,
                "persuasion": -3,
                "religion": -4,
                "sleight_of_hand": 0,
                "stealth": 0,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "Plant Resilience",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "_Melee Weapon Attack:_ +5 to hit, reach 5 ft., one target. _Hit:_ 6 (1d6+3) piercing damage plus 4 (1d8) poison damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": 1,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Instinct to Pursue",
                    "desc": "The bloatblossom takes the Dash action toward an uninfected Humanoid it can see or sense.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "BONUS_ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The bloatblossom makes one Bite attack and one Slam attack, or it makes two Toxic Nodule attacks. If the Bite and Slam attacks both hit one Humanoid, the target must succeed on a DC 13 CON save or be infected with apocalyptic fungus (see sidebar).",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Slam",
                    "desc": "_Melee Weapon Attack:_ +5 to hit, reach 5 ft., one target. _Hit:_ 6 (1d6+3) bludgeoning damage plus 4 (1d8) poison damage. If the target is Medium or smaller, it is grappled (escape DC 13).",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Slam attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": 1,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Toxic Nodule",
                    "desc": "_Ranged Weapon Attack:_ +5 to hit, range 30/60 ft., one target. _Hit:_ 12 (2d8+3) poison damage, and the target must succeed on a DC 13 CON save or be poisoned until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Toxic Nodule attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": null,
                            "range": 30,
                            "long_range": 60,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Heightened Hearing",
                    "desc": "The bloatblossom's Perception is 16 while perceiving by hearing."
                },
                {
                    "name": "Plant Resilience",
                    "desc": "The bloatblossom is resistant to exhaustion and to the paralyzed, petrified, and unconscious conditions."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_boar",
            "name": "Boar",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 0.25,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "-",
                "data": []
            },
            "armor_class": 11,
            "armor_detail": "natural armor",
            "hit_points": 15,
            "hit_dice": null,
            "experience_points": 50,
            "ability_scores": {
                "strength": 14,
                "dexterity": 10,
                "constitution": 12,
                "intelligence": 2,
                "wisdom": 8,
                "charisma": 4
            },
            "modifiers": {
                "strength": 2,
                "dexterity": 0,
                "constitution": 1,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "initiative_bonus": 0,
            "saving_throws": {
                "strength": 2,
                "dexterity": 0,
                "constitution": 1,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "saving_throws_all": {
                "strength": 2,
                "dexterity": 0,
                "constitution": 1,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 0,
                "animal_handling": -1,
                "arcana": -4,
                "athletics": 2,
                "deception": -3,
                "history": -4,
                "insight": -1,
                "intimidation": -3,
                "investigation": -4,
                "medicine": -1,
                "nature": -4,
                "perception": -1,
                "performance": -3,
                "persuasion": -3,
                "religion": -4,
                "sleight_of_hand": 0,
                "stealth": 0,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Tusk",
                    "desc": "_Melee Weapon Attack:_ +4 to hit, reach 5 ft., one target. _Hit:_ 5 (1d6+2) slashing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tusk attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 2,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Slashing",
                                "key": "slashing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Charge",
                    "desc": "If the boar moves at least 20 feet straight toward a target and then hits it with a Tusk attack on the same turn, the target takes an extra 3 (1d6) slashing damage. If the target is a creature, it must succeed on a DC 12 STR save or be knocked prone."
                },
                {
                    "name": "Relentless (Recharges after a Short or Long Rest)",
                    "desc": "If the boar takes 4 damage or less that would reduce it to 0 HP, it is reduced to 1 HP instead."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "bfrd_camel",
            "name": "Camel",
            "document": {
                "name": "Black Flag SRD",
                "key": "bfrd",
                "type": "SOURCE",
                "display_name": "Black Flag SRD",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/black-flag-reference-document/"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 0.125,
            "proficiency_bonus": null,
            "speed": {
                "walk": 50,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 50,
                "crawl": 25,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 25,
                "swim": 25
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "-",
                "data": []
            },
            "armor_class": 10,
            "armor_detail": "",
            "hit_points": 10,
            "hit_dice": null,
            "experience_points": 25,
            "ability_scores": {
                "strength": 14,
                "dexterity": 10,
                "constitution": 14,
                "intelligence": 2,
                "wisdom": 8,
                "charisma": 4
            },
            "modifiers": {
                "strength": 2,
                "dexterity": 0,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "initiative_bonus": 0,
            "saving_throws": {
                "strength": 2,
                "dexterity": 0,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "saving_throws_all": {
                "strength": 2,
                "dexterity": 0,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": -1,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 0,
                "animal_handling": -1,
                "arcana": -4,
                "athletics": 2,
                "deception": -3,
                "history": -4,
                "insight": -1,
                "intimidation": -3,
                "investigation": -4,
                "medicine": -1,
                "nature": -4,
                "perception": -1,
                "performance": -3,
                "persuasion": -3,
                "religion": -4,
                "sleight_of_hand": 0,
                "stealth": 0,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "Camel Resilience",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bile Spit",
                    "desc": "_Ranged Weapon Attack:_ +2 to hit, range 20/60 ft., one creature. _Hit:_ 2 (1d4) acid damage, and the target must succeed on a DC 12 CON save or be smelly for 1 hour or until a creature spends 1 minute cleaning off the spit. A smelly creature has disadvantage on CHA checks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bile Spit attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 2,
                            "reach": null,
                            "range": 20,
                            "long_range": 60,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D4",
                            "damage_bonus": null,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Acid",
                                "key": "acid"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Bite",
                    "desc": "_Melee Weapon Attack:_ +4 to hit, reach 5 ft., one creature. _Hit:_ 4 (1d4+2) bludgeoning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 5,
[...]
